# Create a custom conversion goal

Creates a custom conversion goal. Works with Google Ads.

```http
POST https://api.pozy.ai/v1/ads/conversions/custom-goals
```

- Area: Ads / Conversions
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `adAccountId`, string: Matches `^\d+$`
- `customerId`, string: Matches `^\d+$`
- `name`, string, required: 1 to 255 characters
- `conversionActionIds`, array of string, required: At least 1 item. Up to 100 items. Each item: matches `^\d+$`

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/ads/conversions/custom-goals" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "name": "Acme",
  "conversionActionIds": [
    "string"
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/conversions/custom-goals", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    name: "Acme",
    conversionActionIds: [
      "string"
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/ads/conversions/custom-goals",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "name": "Acme",
        "conversionActionIds": [
            "string",
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `customerId`, string
- `id`, string
- `resourceName`, string

```json
{
  "customerId": "691909ff82eb5ed7c816716d",
  "id": "6bfebd43ddc270f6d2c56fc5",
  "resourceName": "Acme"
}
```
